<!DOCTYPE html> <!-- indique un doc en HTML5-->
<html>
	<head>
		<title>Elements HTML5</title>
		<meta charset="utf-8"/> <!-- aussi par défaut dans HTML5-->
        <link rel="stylesheet" type="text/css" href="../css/Stylesheet.css"/> <!--va chercher le fichier CSS-->
	</head>
	<body>
			<Nav>
				<h2 class="navigation flexnav">
					<p><a href="index.html">Balises HTML </a></p>
					<p><a href="TextCSS.html">Mise en forme du texte </a></p>
					<p><a href="Boxmodel.html">Mise en forme des boites </a></p>
					<p><a href="Formulaires.html">Formulaires </a></p>
					<p><a href="JavaScript.html">JavaScript </a></p>
					<p><a href="Illustrations.html">Illustrations </a></p>
				</h2>
				
			</nav>
		
	    <h1>Les différents éléments dans HTML</h1>
	    <!--Les entités HTML sont une façon d'afficher des signes sans que le HTML l'interprete : 
	    < = &lt;             > = &gt;           & = &amp;          &nbsp pour faire apparaitre les espaces--> 
	    <p>Les <strong>éléments</strong> permettent de structurer une page et lui donner du sens. Un élément peut être constitué d'un contenu (par exemple "p" qui veut dire paragraphe) présenté dans une paire de <strong>balises</strong> (balise ouvrante &lt;p&gt; et fermante &lt;/p&gt;) ou dans une balise unique (plus rare, par exemple &lt;br/&gt;).</p>
	    <p>La balise ouvrante peut contenir un ou plusieurs <strong>attributs</strong> qui prendront une certaine <strong>valeur</strong>. Par exemple l'élément "a" va avoir besoin d'un attribut "href" dont la valeur sera l'adresse de la page vers laquelle on veut faire un lien.</p>
		Les événements correspondent aux actions effectuées par l'utilisateur (par exemple "onclick"). Le gestionnaire d'événements va mettre en relation un événement et des actions (écrites en JavaScript).
		<p>Voir <a href=http://41mag.fr/liste-des-balises-html5 target="_blank"> ici</a> ou encore <a href=http://www.startyourdev.com/html/tag-html-index target="_blank">ici</a> une liste des balises HTML5; <a href=http://41mag.fr/liste-des-balises-html5/liste-des-attributs-html5 target="_blank">ici</a> une liste des attributs ; et <a href=http://41mag.fr/liste-des-balises-html5/liste-des-evenements-html5 target="_blank"> ici</a> une liste des événements.</p>
    	<h2>Il y a 7 modèles de contenus principaux</h2>
	        <li><b>metadata</b> : contenus qui installent la présentation ou le comportement des autres contenus. On les trouve dans la partie <b>head</b>. Il s'agit de 
	        <ul>
	            <li><ins>title</ins> : définit le titre de la page (celui qui apparait dans l'onglet et permet les recherches.</li>
	            <li><ins>meta</ins> : définit l'encodage de la page avec l'attribut "charset". Pour le français, c'est bien d'utiliser la valeur "utf-8" pour avoir les accents qu'il faut.</li>
	            <li><ins>base</ins> : spécifie l'URL de base pour toutes les URL du document. Il s'utilise avec l'attribut "href" et "target".</li>
	            <li><ins>link</ins> : définit la relation entre le document et des ressources externes, par exemple, aller chercher la page CSS où est codé le style. Il a besoin de 2 attributs : "rel" qui précise le type de fichier et "href" qui indique l'adresse relative du fichier. L'attribut "type" précise le type de fichier (pas obligatoire ?). <br/><span class="ex">&lt;link&gt; rel="stylesheet" type="text/css" href="ElementsHTML.css" &lt;/link&gt;</span></li>
	            <li><ins>script</ins> : définit un script coté client, par exemple en JavaScript.</li>
	            <li><ins>noscript</ins> : définit un script alternatif pour les utilisateurs qui ne peuvent pas utiliser les scripts.</li>
	            <li><ins>style</ins> : définit le style d'un document, par exemple en CSS.</li>
	        </ul>
	        </li>
	        <br/>
	        <li><b>embedded</b> : contenus qui importent d'autres ressources dans le document.</li>
	        <ul>
	            <li><ins>audio</ins> : </li>
	            <li><ins>video</ins> : </li>
	            <li><ins>iframe</ins> : </li>
	            <li><ins>img</ins> : introduit une image, avec 2 attributs : "src" prend comme valeur le nom et l'emplacement de l'image ; "alt" affiche un texte alternatif au cas ou l'image n'est pas disponible.<br/><span class="ex">&lt;img src="Images/Klee.jpg" alt="un tableau de Klee"&gt; </span><img src="Images/Klee.jpg" alt="un tableau de Klee"> </li>
	            <li><ins>math</ins> : </li>
	            <li><ins>object</ins> : </li>
	            <li><ins>canvas</ins> : est un contener pour dessin. Il doit avoir un attribut "id" pour être lu dans JS.</li>
				<li><ins>svg</ins> : pour créer des dessins (Scalable Vector Graphics) selon des vecteurs, comme des ronds, ellipses, rectangles et polygones. On définit d'abord une taille (dans la balise), puis on ajoute une forme (entre les 2 balises). Ces éléments peuvent être animés.<br/><span class="ex">&lt;svg width="150" height="150"&gt; &lt;circle cx="80" cy="80" r="50" fill="green"/&gt;</span><br/><svg width="150" height="150"> <circle cx="80" cy="80" r="50" fill="green"/></li>
				<table>
					<tr>
						<td>canvas</td>
						<td>svg</td>
					</tr>
					<tr>
						<td>Les éléments sont dessinés par un programme</td>
						<td>les éléments sont une partie du document</td>
					</tr>
					<tr>
						<td>dessiné avec des pixels</td>
						<td>dessiné avec des vecteurs</td>
					</tr></table>
				
	          </ul>
	        <br/>
	        <li><b>interactive</b> : contenus pour interagir avec les utilisateurs </li>
	        <ul>
	            <li><ins>a</ins> : introduit un hyperlien. A utiliser avec l'attribut "href". Par exemple :
	                <ul>
	                <li>afficher un site externe <strong>href="http://wikipedia.org"</strong></li>
	                <li>un lien interne vers un fichier "fichier.html" dans le meme dossier <strong>href="fichier.html"</strong></li>
	                <li>vers un lien interne dans le dossier "parent" <strong>href="../fichier.html"</strong></li>
	                <li>vers un lien interne dans un "sous"-dossier <strong>href="sous/fichier.html"</strong></li>
	                <li>vers une ancre dans la même page (à utiliser avec l'attribut "id"</li>
	                <li>vers une adresse mail <strong>href="mailto:ton.adresse@gmail.com"</strong></li>
	                <li>pour télécharcher un document (autre que html) <strong>href="fichier.pdf"</strong></li>
	                </ul>
	            L'attribut <strong>"target"</strong> avec la valeur <strong>"_blank"</strong> permet d'ouvrir un lien dans une nouvelle fenetre.<br/><span class="ex">&lt;a href="http://wikipedia.org" target="_blank"&gt;ici le texte à cliquer&lt;/a&gt;</span><br/><a href="http://wikipedia.org" target="_blank">ici le texte à cliquer</a>
	            </li>
	            <li><ins>audio</ins> : </li>
	            <li><ins>video</ins> : </li>
	            <li><ins>button</ins> : </li>
	            <li><ins>details</ins> : </li>
	            <li><ins>embed</ins> : </li>
	            <li><ins>iframe</ins> : </li>
	            <li><ins>img</ins> : cf. dessus</li>
	            <li><ins>input</ins> : </li>
	            <li><ins>label</ins> : </li>
	            <li><ins>object</ins> : </li>
	            <li><ins>select</ins> : </li>
	            <li><ins>textarea</ins> : </li>
	          </ul>
	        <br/>
	        <li><b>heading</b> : définissent les titres comme <ins>h1</ins>, <ins>h2</ins>, <ins>h3</ins>, <ins>h4</ins>, <ins>h5</ins>, <ins>h6</ins>, <ins>hgroup</ins>.</li>
	        <br/>
	        <li><b>phrasing</b> : éléments introduits dans une ligne (<i>inline</i>) dont certains sont communs avec HTML4, comme <ins>img</ins>, <ins>span</ins>, <ins>strong</ins>, <ins>label</ins>, <ins>br/</ins>...</li>
	        <br/>
	        <li><b>flow</b> : majorité des éléments HTML5 contenus dans le flux du document.</li>
	         <br/>
	        <li><b>sectioning</b> : définissent la structure d'une page HTML5
	        <ul>
	            <li><ins>header</ins> : entete, contient le titre et le logo</li>
	            <li><ins>nav</ins> : permet de naviguer dans les différentes page du site</li>
	            <li><ins>article</ins> : contenu principal de la page</li>
	            <li><ins>section</ins> : divise le contenuprincipal en plusieurs parties</li>
	            <li><ins>aside</ins> : autres informations liées au contenu ou liens</li>
	            <li><ins>footer</ins> : information sur les copyright...</li>
	        </ul>
	        </li>
	    <br/>
	        <li><b>autres</b>
	        <ul>
	            <li><ins>progress</ins> : permet de créer des barres de progrès comme <br/><span class="ex">Progression : &lt;progress min="0" max="100" value= "66"&gt; &lt;/progress&gt;</span><br/>Progression : <progress min="0" max="100" value= "66"> </progress></li>
			
	        </ul>
				    <br/>
	        <li><b>Les formulaires</b>
	        <ul>
	            <li><ins>form</ins> : définit un formulaire. il a besoin de 2 attributs pour fonctionner : <ul><li>"method" qui indique comment doivent être envoyées les données saisies par l'utilisateur, avec les valeurs <ul><li>"get" (faire transiter les données par l'URL afin de pouvoir ensuite les traiter = cela limite la quantité de données et ele sont envoyées en clair, donc à éviter si données sensibles) ou </li><li>"post" (envoyer les données par HTTP post transaction : pas de limites de quantité et les données ne sont pas visibles)</li></ul></li><li>"action" qui sert à préciser l'adresse relative où les données doivent être traitées (souvent un fichier PHP).</li></ul><span class="ex">&lt;form method="post" action ="traitement.php"&gt; ici, on va créer le formulaire &lt;/form&gt;</span><form method="post" action ="traitement.php"> ici, on va créer le formulaire </form></li>
	            <li><ins>input</ins> : définit un champ de données pour l'utilisateur. C'est une balise orpheline, avec un attribut "type" pour creer un champ de saisie, des zones d'option, un bouton... L'attribut "name" permet de donner un nom aux données qui seront recueillies pour povoir les retrouver.</li>
	            <li><ins>label</ins> : définit une légende pour un élément input, pour décrire à l'utilisateur ce qu'il doit rentrer dans le champ. Le label est lié à l'élément de formulaire grâce aux attributs "for" (pour le label) et id (pour l'élément) qui doivent être strictement identiques.</li>
	            <li><ins>textarea</ins> : définit un champ de texte long, multiligne pour accueillir un commentaire par exemple.</li>
	            <li><ins>select</ins> : définit une liste de choix</li>
	            <li><ins>optgroup</ins> : définit un groupe d'options dans une liste</li>
	        	<li><ins>option</ins> : définit une option dans une liste</li>
	            <li><ins>fieldset</ins> : permet de regouper des éléments d'un formulaire en différentes parties</li>
	            <li><ins>legend</ins> : ajoute une légende à un élément fieldset</li>

			</ul>
			<li><b>Les balises orphelines</b>
	        <ul>
	            <li><ins>input</ins> : définit un champ de données pour l'utilisateur. C'est une balise orpheline, avec un attribut "type" pour creer un champ de saisie, des zones d'option, un bouton... L'attribut "name" permet de donner un nom aux données qui seront recueillies pour povoir les retrouver.</li>
	            <li><ins>img</ins> : </li>
	            <li><ins>xxxxxx</ins> : </li>
	            <li><ins>xxxxxx</ins> : </li>
	            

			</ul>
	        </li>
	</body>
</html>

